VST 3 Examples VST 3.7 SDK for developing VST plug-in

Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
EventListCheck Class Reference

`#include <eventlistcheck.h>`

## Public Types
using | Notes = std::set< Steinberg::int32 >

## Public Member Functions
| EventListCheck ()
void | check (Steinberg::Vst::IEventList *events)
void | setComponent (Steinberg::Vst::IComponent *component)
void | setProcessSetup (Steinberg::Vst::ProcessSetup setup)
void | setEventLogger (EventLogger *eventLogger)

## Static Public Attributes
static const Steinberg::int32 | kMaxEvents = 2048

## Protected Member Functions
bool | checkEventCount (Steinberg::Vst::IEventList *events)
void | checkEventProperties (const Steinberg::Vst::Event &event)
bool | checkEventBusIndex (Steinberg::int32 busIndex)
bool | checkEventSampleOffset (Steinberg::int32 sampleOffset)
bool | checkEventChannelIndex (Steinberg::int32 busIndex, Steinberg::int32 channelIndex)
bool | checkValidPitch (Steinberg::int16 pitch)
bool | isNormalized (float normVal) const
void | checkNoteExpressionValueEvent (Steinberg::Vst::NoteExpressionTypeID type, Steinberg::int32 id, Steinberg::Vst::NoteExpressionValue exprVal) const

## Protected Attributes
EventLogger * | mEventLogger
Steinberg::Vst::IComponent * | mComponent
Steinberg::Vst::ProcessSetup | mSetup
Notes | mNotePitches
Notes | mNoteIDs

## Member Typedef Documentation

## ◆ Notes

using Notes = std::set<Steinberg::int32>

## Constructor & Destructor Documentation

## ◆ EventListCheck()

EventListCheck | ( |  | ) |

## Member Function Documentation

## ◆ check()

void check | ( | Steinberg::Vst::IEventList * | events | ) |

## ◆ setComponent()

void setComponent | ( | Steinberg::Vst::IComponent * | component | ) |
| inline

## ◆ setProcessSetup()

void setProcessSetup | ( | Steinberg::Vst::ProcessSetup | setup | ) |

## ◆ setEventLogger()

void setEventLogger | ( | EventLogger * | eventLogger | ) |

## ◆ checkEventCount()

bool checkEventCount | ( | Steinberg::Vst::IEventList * | events | ) |
| protected

## ◆ checkEventProperties()

void checkEventProperties | ( | const Steinberg::Vst::Event & | event | ) |
| protected

## ◆ checkEventBusIndex()

bool checkEventBusIndex | ( | Steinberg::int32 | busIndex | ) |
| protected

## ◆ checkEventSampleOffset()

bool checkEventSampleOffset | ( | Steinberg::int32 | sampleOffset | ) |
| protected

## ◆ checkEventChannelIndex()

bool checkEventChannelIndex | ( | Steinberg::int32 | busIndex,
|  | Steinberg::int32 | channelIndex
| ) |  |
| protected

## ◆ checkValidPitch()

bool checkValidPitch | ( | Steinberg::int16 | pitch | ) |
| protected

## ◆ isNormalized()

bool isNormalized | ( | float | normVal | ) | const
| protected

## ◆ checkNoteExpressionValueEvent()

void checkNoteExpressionValueEvent | ( | Steinberg::Vst::NoteExpressionTypeID | type,
|  | Steinberg::int32 | id,
|  | Steinberg::Vst::NoteExpressionValue | exprVal
| ) |  | const
| protected

## Member Data Documentation

## ◆ kMaxEvents

const Steinberg::int32 kMaxEvents = 2048
| static

## ◆ mEventLogger

EventLogger* mEventLogger
| protected

## ◆ mComponent

Steinberg::Vst::IComponent* mComponent
| protected

## ◆ mSetup

Steinberg::Vst::ProcessSetup mSetup
| protected

## ◆ mNotePitches

Notes mNotePitches
| protected

## ◆ mNoteIDs

Notes mNoteIDs
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.